diff --git a/info.c b/info.c
index bfed939..31268b8 100644
--- a/info.c
+++ b/info.c
@@ -799,7 +799,7 @@ PGAPI_GetTypeInfo(HSTMT hstmt,
 	QR_set_num_fields(res, result_cols);
 	QR_set_field_info_v(res, 0, "TYPE_NAME", PG_TYPE_VARCHAR, MAX_INFO_STRING);
 	QR_set_field_info_v(res, 1, "DATA_TYPE", PG_TYPE_INT2, 2);
-	QR_set_field_info_v(res, 2, "PRECISION", PG_TYPE_INT4, 4);
+	QR_set_field_info_v(res, 2, "COLUMN_SIZE", PG_TYPE_INT4, 4);
 	QR_set_field_info_v(res, 3, "LITERAL_PREFIX", PG_TYPE_VARCHAR, MAX_INFO_STRING);
 	QR_set_field_info_v(res, 4, "LITERAL_SUFFIX", PG_TYPE_VARCHAR, MAX_INFO_STRING);
 	QR_set_field_info_v(res, 5, "CREATE_PARAMS", PG_TYPE_VARCHAR, MAX_INFO_STRING);
@@ -2072,7 +2072,7 @@ retry_public_schema:
 	QR_set_field_info_v(res, COLUMNS_COLUMN_NAME, "COLUMN_NAME", PG_TYPE_VARCHAR, MAX_INFO_STRING);
 	QR_set_field_info_v(res, COLUMNS_DATA_TYPE, "DATA_TYPE", PG_TYPE_INT2, 2);
 	QR_set_field_info_v(res, COLUMNS_TYPE_NAME, "TYPE_NAME", PG_TYPE_VARCHAR, MAX_INFO_STRING);
-	QR_set_field_info_v(res, COLUMNS_PRECISION, "PRECISION", PG_TYPE_INT4, 4); /* COLUMN_SIZE */
+	QR_set_field_info_v(res, COLUMNS_PRECISION, "COLUMN_SIZE", PG_TYPE_INT4, 4); /* COLUMN_SIZE */
 	QR_set_field_info_v(res, COLUMNS_LENGTH, "LENGTH", PG_TYPE_INT4, 4); /* BUFFER_LENGTH */
 	QR_set_field_info_v(res, COLUMNS_SCALE, "SCALE", PG_TYPE_INT2, 2); /* DECIMAL_DIGITS ***/
 	QR_set_field_info_v(res, COLUMNS_RADIX, "RADIX", PG_TYPE_INT2, 2);
@@ -2586,7 +2586,7 @@ retry_public_schema:
 	QR_set_field_info_v(res, 1, "COLUMN_NAME", PG_TYPE_VARCHAR, MAX_INFO_STRING);
 	QR_set_field_info_v(res, 2, "DATA_TYPE", PG_TYPE_INT2, 2);
 	QR_set_field_info_v(res, 3, "TYPE_NAME", PG_TYPE_VARCHAR, MAX_INFO_STRING);
-	QR_set_field_info_v(res, 4, "PRECISION", PG_TYPE_INT4, 4);
+	QR_set_field_info_v(res, 4, "COLUMN_SIZE", PG_TYPE_INT4, 4);
 	QR_set_field_info_v(res, 5, "LENGTH", PG_TYPE_INT4, 4);
 	QR_set_field_info_v(res, 6, "SCALE", PG_TYPE_INT2, 2);
 	QR_set_field_info_v(res, 7, "PSEUDO_COLUMN", PG_TYPE_INT2, 2);
